exec("game/gameScripts/LocalConf.cs");
function onStart()
{
  exec("game/gameScripts/pm.cs");
  Pm::Load(); 
}

function onExit(){}

function loadPath( %path )
{
   setModPaths( getModPaths() @ ";" @ %path );
   exec(%path @ "/main.cs");
}

setLogMode(0);
loadPath( "common" );
loadPath( "game" );
onStart();

if( !isFunction( "initializeProject" ) || !isFunction( "_initializeProject" ) )
{
   messageBox( "Game Startup Error", "'initializeProject' function could not be found." @
               "\nThis could indicate a bad or corrupt common directory for your game." @
               "\n\nThe Game will now shutdown because it cannot properly function", "Ok", "MIStop" );
   quit();
}
_initializeProject();
initializeProject();


